Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticTextAreaUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TextUI
              javax.swing.plaf.basic.BasicTextUI
                  javax.swing.plaf.basic.BasicTextAreaUI
                      com.jgoodies.looks.plastic.PlasticTextAreaUI

All Implemented Interfaces:
  ViewFactory

    public final class PlasticTextAreaUI

extends BasicTextAreaUI

The JGoodies Plastic L&F implementation of `TextAreaUI`. In addition to its superclass BasicTextAreaUI, it updates the background colors using behavior from BasicTextFieldUI.

Version:
  $Revision: 1.11 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`PlasticTextAreaUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for a JTextArea.
`void` | `installUI(JComponent c)`
`protected void` | `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed on the associated JTextComponent.

Methods inherited from class javax.swing.plaf.basic.BasicTextAreaUI
`create, getBaseline, getBaselineResizeBehavior, getMinimumSize, getPreferredSize, getPropertyPrefix, installDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getNextVisualPositionFrom, getRootView, getToolTipText, getVisibleEditorRect, installKeyboardActions, installListeners, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticTextAreaUI

    public PlasticTextAreaUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Creates a UI for a JTextArea.

  Parameters:
    `c` - the text area
  Returns:
    the UI

### installUI

    public void installUI(JComponent c)

  Overrides:
    `installUI` in class `BasicTextUI`

### propertyChange

    protected void propertyChange(PropertyChangeEvent evt)

  This method gets called when a bound property is changed on the associated JTextComponent. In addition to the superclass behavior, this UI updates the background if the editable or enabled property changes .

  Overrides:
    `propertyChange` in class `BasicTextAreaUI`
  Parameters:
    `evt` - the property change event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.